﻿* Encoding: UTF-8.
* TÍTULO DE LA SINTAXIS:							   
* TABLAS 2, 4,5 y 12 a 27. CULTIVOS PERMANENTES			   
* OPERACIÓN ESTADÍSTICA:													   
* Encuesta de Superficie y Producción Agropecuaria Continua ESPAC_2018			   
* UNIDAD TÉCNICA RESPONSABLE: 												   
* Dirección de Estadísticas Agropecuarias y Ambientales					   
* ENTIDAD EJECUTORA:														   
* Instituto Nacional de Estadística y Censos (INEC)							   
*==============================================================================*.
* Fecha de elaboración:          Septiembre - 2014						   
* Fecha última modificación:   Abril - 2019					   
*==============================================================================*.
* Elaborado por:													   
* Dirección de Estadísticas Agropecuarias y Ambientales (DEAGA)						   
* Gestión de Estadísticas Agropecuarias    						   
* Aprobado por:													   
* Dirección de Estadísticas Agropecuarias y Ambientales (DEAGA)						   
* Gestión de Estadísticas Agropecuarias  							       
*==============================================================================*.
* Revisado por:																   
* Dirección de Estadísticas Agropecuarias y Ambientales (DEAGA)						   
* Gestión de Estadísticas Agropecuarias     						   
*==============================================================================*.
*Indicaciones.
*1- Descargue la Bases de datos de cultivos permanentes "cpnac2018" de la página web: http://www.ecuadorencifras.gob.ec//estadisticas-agropecuarias-2/#

*2- Guarde la base y copie el directorio en:.
get file = 'C:\....\cpnac2018.sav'.

*==============================================================================*.
*                            CONSTRUCCIÓN DE LA TABLA 2                                    *
*==============================================================================*.

WEIGHT BY fact_exp_fin.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_tn nuevacondicion cp_nclavr DISPLAY=NONE  /VLABELS VARIABLES=cp_k409ha cp_k410ha 
    cp_k411ha cp_prod ventas DISPLAY=LABEL
  /TABLE cp_tn [C] > nuevacondicion [C] + cp_nclavr [C] >nuevacondicion [C] BY cp_k409ha [S][SUM] + cp_k410ha 
    [S][SUM] + cp_k411ha [S][SUM] + cp_prod [S][SUM] + ventas [S][SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=cp_tn nuevacondicion cp_nclavr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
    TITLE='ENCUESTA DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA 2018'
    'TABLA 2. SUPERFICIE, PRODUCCIÓN Y VENTAS, SEGÚN CULTIVOS PERMANENTES'
    CORNER='CULTIVOS PERMANENTES'
    CAPTION='INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) ESPAC - 2018'.

WEIGHT OFF. 
FILTER OFF. 
USE ALL. 
EXECUTE.

*==============================================================================*.
*                            CONSTRUCCIÓN DE LA TABLA 4                                    *
*==============================================================================*.
* Tablas personalizadas.
WEIGHT BY fact_exp_fin.
CTABLES
  /VLABELS VARIABLES=cp_tn nuevacondicion cp_nclavr DISPLAY=NONE  /VLABELS VARIABLES=superdida cp_sequia 
    cp_helada cp_plagas cp_enfermedades cp_inundacion cp_otra 
    DISPLAY=LABEL
  /TABLE cp_tn [C] > nuevacondicion [C] + cp_nclavr [C] > nuevacondicion [C] BY superdida [SUM] + cp_sequia 
    [SUM] + cp_helada [SUM] + cp_plagas [SUM] + cp_enfermedades [SUM] + cp_inundacion [SUM] + cp_otra [SUM]    
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=cp_tn nuevacondicion cp_nclavr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
    TITLE='ENCUESTA DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA 2018'
    'TABLA 4. SUPERFICIE PERDIDA POR DIFERENTES CAUSAS, SEGÚN CULTIVOS PERMANENTES' 
    CORNER='CULTIVOS PERMANENTES'
    CAPTION='INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) ESPAC - 2018'.

WEIGHT OFF. 
FILTER OFF. 
USE ALL. 
EXECUTE.

*==============================================================================*.
*                            CONSTRUCCIÓN DE LA TABLA 5                                  *
*==============================================================================*.
WEIGHT BY fact_exp_fin.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_tn nuevacondicion cp_nclavr DISPLAY=NONE  /VLABELS VARIABLES=edad1 edad2 edad3 
    cp_vcomún cp_vmejorada cp_vhibrinacio cp_vhibrinterna cp_sriego cp_sufertilizantes cp_sufitosanitario 
    DISPLAY=LABEL
  /TABLE cp_tn > nuevacondicion + cp_nclavr > nuevacondicion BY edad1 [SUM] + edad2 [SUM] + edad3 [SUM] + 
    cp_vcomún [SUM] + cp_vmejorada [SUM] + cp_vhibrinacio [SUM] + cp_vhibrinterna [SUM] + cp_sriego 
    [SUM] + cp_sufertilizantes [SUM] + cp_sufitosanitario [SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=cp_tn nuevacondicion cp_nclavr ORDER=A KEY=VALUE EMPTY=INCLUDE
  /TITLES
    TITLE='ENCUESTA DE SUPERFICIE Y PRODUCCIÓN AGROPECUARIA CONTINUA 2018'
    'TABLA 5. SUPERFICIE PLANTADA EN HECTÁREAS POR EDAD, VARIEDAD DE LA PLANTA Y PRÁCTICA '+
    'DE CULTIVO, SEGÚN CULTIVOS PERMANENTES'
    CORNER='CULTIVOS PERMANENTES'
    CAPTION='INSTITUTO NACIONAL DE ESTADÍSTICA Y CENSOS (INEC) ESPAC - 2018'.

WEIGHT OFF. 
FILTER OFF. 
USE ALL. 
EXECUTE.

*==============================================================================*.
*                            CONSTRUCCIÓN DE LA TABLA 12                                   *
*==============================================================================*.

USE ALL.
COMPUTE filter_$=(cp_nclavr = 402).
VARIABLE LABELS filter_$ 'cp_nclavr = 402 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

WEIGHT BY fact_exp_fin.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion DISPLAY=NONE  /VLABELS 
   VARIABLES=cp_k409ha cp_k411ha cp_prod ventas DISPLAY=LABEL
  /TABLE cp_tn [C] + cp_trs [C] + cp_trc [C] + cp_tro [C] + cp_tznd + ual_prov [C] > nuevacondicion [C] BY cp_k409ha [S] [SUM] + cp_k411ha [S] [SUM] + cp_prod [S] [SUM] 
 + ventas [S] [SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion ORDER=A KEY=VALUE 
    EMPTY=INCLUDE
  /TITLES
    TITLE='ENCUESTA DE SUPERFICIE Y PRODUCCION AGROPECUARIA CONTINUA  2018'
    'TABLA 12. SUPERFICIE, PRODUCCIÓN Y VENTAS, SEGÚN REGIÓN Y PROVINCIA' 'AGUACATE (Fruta fresca)'
    CORNER='REGIÓN Y PROVINCIA'
    CAPTION='INSTITUTO NACIONAL DE ESTADÍSTICAS Y CENSOS (INEC) ESPAC - 2018'.

WEIGHT OFF. 
FILTER OFF. 
USE ALL. 
EXECUTE.

*==============================================================================*.
*                            CONSTRUCCIÓN DE LA TABLA 13                                   *
*==============================================================================*.

USE ALL.
COMPUTE filter_$=(cp_nclavr = 407).
VARIABLE LABEL filter_$ 'nc_clavr = 407 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

WEIGHT BY fact_exp_fin.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion DISPLAY=NONE  /VLABELS 
   VARIABLES=cp_k409ha cp_k411ha cp_prod ventas DISPLAY=LABEL
  /TABLE cp_tn [C] + cp_trs [C] + cp_trc [C] + cp_tro [C] + cp_tznd + ual_prov [C] > nuevacondicion [C] BY cp_k409ha [S] [SUM] + cp_k411ha [S] [SUM] + cp_prod [S] [SUM] 
 + ventas [S] [SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion ORDER=A KEY=VALUE 
    EMPTY=INCLUDE
  /TITLES
    TITLE='ENCUESTA DE SUPERFICIE Y PRODUCCION AGROPECUARIA CONTINUA ESPAC 2018'
    'TABLA 13. SUPERFICIE, PRODUCCIÓN Y VENTAS, SEGÚN REGIÓN Y PROVINCIA' 'BANANO (Fruta fresca)'
    CORNER='REGIÓN Y PROVINCIA'
    CAPTION='INSTITUTO NACIONAL DE ESTADÍSTICAS Y CENSOS (INEC) ESPAC - 2018'.

WEIGHT OFF. 
FILTER OFF. 
USE ALL. 
EXECUTE.

*==============================================================================*.
*                            CONSTRUCCIÓN DE LA TABLA 14                                  *
*==============================================================================*.

USE ALL.
COMPUTE filter_$=(cp_nclavr = 411).
VARIABLE LABEL filter_$ 'nc_clavr = 411 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

WEIGHT BY fact_exp_fin.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion DISPLAY=NONE  /VLABELS 
   VARIABLES=cp_k409ha cp_k411ha cp_prod ventas DISPLAY=LABEL
  /TABLE cp_tn [C] + cp_trs [C] + cp_trc [C] + cp_tro [C] + cp_tznd + ual_prov [C] > nuevacondicion [C] BY cp_k409ha [S] [SUM] + cp_k411ha [S] [SUM] + cp_prod [S] [SUM] 
 + ventas [S] [SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion ORDER=A KEY=VALUE 
    EMPTY=INCLUDE
  /TITLES
    TITLE='ENCUESTA DE SUPERFICIE Y PRODUCCION AGROPECUARIA CONTINUA ESPAC 2018'
    'TABLA 14. SUPERFICIE, PRODUCCIÓN Y VENTAS, SEGÚN REGIÓN Y PROVINCIA' 'CACAO (Almendra seca)'
    CORNER='REGIÓN Y PROVINCIA'
    CAPTION='INSTITUTO NACIONAL DE ESTADÍSTICAS Y CENSOS (INEC) ESPAC - 2018'.

WEIGHT OFF. 
FILTER OFF. 
USE ALL. 
EXECUTE.

*==============================================================================*.
*                            CONSTRUCCIÓN DE LA TABLA 15                                 *
*==============================================================================*.

USE ALL.
COMPUTE filter_$=(cp_nclavr = 416).
VARIABLE LABEL filter_$ 'nc_clavr = 416 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

WEIGHT BY fact_exp_fin.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion DISPLAY=NONE  /VLABELS 
   VARIABLES=cp_k409ha cp_k411ha cp_prod ventas DISPLAY=LABEL
  /TABLE cp_tn [C] + cp_trs [C] + cp_trc [C] + cp_tro [C] + cp_tznd + ual_prov [C] > nuevacondicion [C] BY cp_k409ha [S] [SUM] + cp_k411ha [S] [SUM] + cp_prod [S] [SUM] 
 + ventas [S] [SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion ORDER=A KEY=VALUE 
    EMPTY=INCLUDE
  /TITLES
    TITLE='ENCUESTA DE SUPERFICIE Y PRODUCCION AGROPECUARIA CONTINUA ESPAC 2018'
    'TABLA 15. SUPERFICIE, PRODUCCIÓN Y VENTAS, SEGÚN REGIÓN Y PROVINCIA' 'CAFE (Grano oro)'
    CORNER='REGIÓN Y PROVINCIA'
    CAPTION='INSTITUTO NACIONAL DE ESTADÍSTICAS Y CENSOS (INEC) ESPAC - 2018'.

WEIGHT OFF. 
FILTER OFF.           
USE ALL. 
EXECUTE.

*==============================================================================*.
*                            CONSTRUCCIÓN DE LA TABLA 16                                  *
*==============================================================================*.

USE ALL.
COMPUTE filter_$=(cp_nclavr = 419).
VARIABLE LABEL filter_$ 'nc_clavr = 419 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

WEIGHT BY fact_exp_fin.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion DISPLAY=NONE  /VLABELS 
   VARIABLES=cp_k409ha cp_k411ha cp_prod ventas DISPLAY=LABEL
  /TABLE cp_tn [C] + cp_trs [C] + cp_trc [C] + cp_tro [C] + cp_tznd + ual_prov [C] > nuevacondicion [C] BY cp_k409ha [S] [SUM] + cp_k411ha [S] [SUM] + cp_prod [S] [SUM] 
 + ventas [S] [SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion ORDER=A KEY=VALUE 
    EMPTY=INCLUDE
  /TITLES
    TITLE='ENCUESTA DE SUPERFICIE Y PRODUCCION AGROPECUARIA CONTINUA ESPAC 2018'
    'TABLA 16. SUPERFICIE, PRODUCCIÓN Y VENTAS, SEGÚN REGIÓN Y PROVINCIA' 'CAÑA DE AZUCAR PARA AZUCAR (Tallo fresco)'
    CORNER='REGIÓN Y PROVINCIA'
    CAPTION='INSTITUTO NACIONAL DE ESTADÍSTICAS Y CENSOS (INEC) ESPAC - 2018'.

WEIGHT OFF. 
FILTER OFF. 
USE ALL. 
EXECUTE.

*==============================================================================*.
*                            CONSTRUCCIÓN DE LA TABLA 17                                 *
*==============================================================================*.

USE ALL.
COMPUTE filter_$=(cp_nclavr = 420).
VARIABLE LABEL filter_$ 'nc_clavr = 420 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

WEIGHT BY fact_exp_fin.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion DISPLAY=NONE  /VLABELS 
   VARIABLES=cp_k409ha cp_k411ha cp_prod ventas DISPLAY=LABEL
  /TABLE cp_tn [C] + cp_trs [C] + cp_trc [C] + cp_tro [C] + cp_tznd + ual_prov [C] > nuevacondicion [C] BY cp_k409ha [S] [SUM] + cp_k411ha [S] [SUM] + cp_prod [S] [SUM] 
 + ventas [S] [SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion ORDER=A KEY=VALUE 
    EMPTY=INCLUDE
  /TITLES
    TITLE='ENCUESTA DE SUPERFICIE Y PRODUCCION AGROPECUARIA CONTINUA ESPAC 2018'
    'TABLA 17. SUPERFICIE, PRODUCCIÓN Y VENTAS, SEGÚN REGIÓN Y PROVINCIA' 'CAÑA DE AZUCAR PARA OTROS USOS (Tallo fresco)'
    CORNER='REGIÓN Y PROVINCIA'
    CAPTION='INSTITUTO NACIONAL DE ESTADÍSTICAS Y CENSOS (INEC) ESPAC - 2018'.

WEIGHT OFF. 
FILTER OFF. 
USE ALL. 
EXECUTE.

*==============================================================================*.
*                            CONSTRUCCIÓN DE LA TABLA 18                             *
*==============================================================================*.

USE ALL.
COMPUTE filter_$=(cp_nclavr = 440).
VARIABLE LABELS filter_$ 'cp_nclavr = 440 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

WEIGHT BY fact_exp_fin.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion DISPLAY=NONE  /VLABELS 
   VARIABLES=cp_k409ha cp_k411ha cp_prod ventas DISPLAY=LABEL
  /TABLE cp_tn [C] + cp_trs [C] + cp_trc [C] + cp_tro [C] + cp_tznd + ual_prov [C] > nuevacondicion [C] BY cp_k409ha [S] [SUM] + cp_k411ha [S] [SUM] + cp_prod [S] [SUM] 
 + ventas [S] [SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion ORDER=A KEY=VALUE 
    EMPTY=INCLUDE
  /TITLES
    TITLE='ENCUESTA DE SUPERFICIE Y PRODUCCION AGROPECUARIA CONTINUA  2018'
    'TABLA 18. SUPERFICIE, PRODUCCIÓN Y VENTAS, SEGÚN REGIÓN Y PROVINCIA' 'LIMÓN (Fruta fresca)'
    CORNER='REGIÓN Y PROVINCIA'
    CAPTION='INSTITUTO NACIONAL DE ESTADÍSTICAS Y CENSOS (INEC) ESPAC - 2018'.

WEIGHT OFF. 
FILTER OFF. 
USE ALL. 
EXECUTE.

*==============================================================================*.
*                            CONSTRUCCIÓN DE LA TABLA 19                                 *
*==============================================================================*.

USE ALL.
COMPUTE filter_$=(cp_nclavr = 444).
VARIABLE LABEL filter_$ 'nc_clavr = 444 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

WEIGHT BY fact_exp_fin.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion DISPLAY=NONE  /VLABELS 
   VARIABLES=cp_k409ha cp_k411ha cp_prod ventas DISPLAY=LABEL
  /TABLE cp_tn [C] + cp_trs [C] + cp_trc [C] + cp_tro [C] + cp_tznd + ual_prov [C] > nuevacondicion [C] BY cp_k409ha [S] [SUM] + cp_k411ha [S] [SUM] + cp_prod [S] [SUM] 
 + ventas [S] [SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion ORDER=A KEY=VALUE 
    EMPTY=INCLUDE
  /TITLES
    TITLE='ENCUESTA DE SUPERFICIE Y PRODUCCION AGROPECUARIA CONTINUA ESPAC 2018'
    'TABLA 19. SUPERFICIE, PRODUCCIÓN Y VENTAS, SEGÚN REGIÓN Y PROVINCIA' 'MANGO (Fruta fresca)'
    CORNER='REGIÓN Y PROVINCIA'
    CAPTION='INSTITUTO NACIONAL DE ESTADÍSTICAS Y CENSOS (INEC) ESPAC - 2018'.

WEIGHT OFF. 
FILTER OFF. 
USE ALL. 
EXECUTE.

*==============================================================================*.
*                            CONSTRUCCIÓN DE LA TABLA 20                                  *
*==============================================================================*.

USE ALL.
COMPUTE filter_$=(cp_nclavr = 446).
VARIABLE LABEL filter_$ 'nc_clavr = 446 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

WEIGHT BY fact_exp_fin.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion DISPLAY=NONE  /VLABELS 
   VARIABLES=cp_k409ha cp_k411ha cp_prod ventas DISPLAY=LABEL
  /TABLE cp_tn [C] + cp_trs [C] + cp_trc [C] + cp_tro [C] + cp_tznd + ual_prov [C] > nuevacondicion [C] BY cp_k409ha [S] [SUM] + cp_k411ha [S] [SUM] + cp_prod [S] [SUM] 
 + ventas [S] [SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion ORDER=A KEY=VALUE 
    EMPTY=INCLUDE
  /TITLES
    TITLE='ENCUESTA DE SUPERFICIE Y PRODUCCION AGROPECUARIA CONTINUA ESPAC 2018'
    'TABLA 20. SUPERFICIE, PRODUCCIÓN Y VENTAS, SEGÚN REGIÓN Y PROVINCIA' 'MARACUYA (Fruta fresca)'
    CORNER='REGIÓN Y PROVINCIA'
    CAPTION='INSTITUTO NACIONAL DE ESTADÍSTICAS Y CENSOS (INEC) ESPAC - 2018'.

WEIGHT OFF. 
FILTER OFF. 
USE ALL. 
EXECUTE.

*==============================================================================*.
*                            CONSTRUCCIÓN DE LA TABLA 21                                 *
*==============================================================================*.

USE ALL.
COMPUTE filter_$=(cp_nclavr = 450).
VARIABLE LABEL filter_$ 'nc_clavr = 450 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

WEIGHT BY fact_exp_fin.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion DISPLAY=NONE  /VLABELS 
   VARIABLES=cp_k409ha cp_k411ha cp_prod ventas DISPLAY=LABEL
  /TABLE cp_tn [C] + cp_trs [C] + cp_trc [C] + cp_tro [C] + cp_tznd + ual_prov [C] > nuevacondicion [C] BY cp_k409ha [S] [SUM] + cp_k411ha [S] [SUM] + cp_prod [S] [SUM] 
 + ventas [S] [SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion ORDER=A KEY=VALUE 
    EMPTY=INCLUDE
  /TITLES
    TITLE='ENCUESTA DE SUPERFICIE Y PRODUCCION AGROPECUARIA CONTINUA ESPAC 2018'
    'TABLA 21. SUPERFICIE, PRODUCCIÓN Y VENTAS, SEGÚN REGIÓN Y PROVINCIA' 'NARANJA (Fruta fresca)'
    CORNER='REGIÓN Y PROVINCIA'
    CAPTION='INSTITUTO NACIONAL DE ESTADÍSTICAS Y CENSOS (INEC) ESPAC - 2018'.

WEIGHT OFF. 
FILTER OFF. 
USE ALL. 
EXECUTE.

*==============================================================================*.
*                            CONSTRUCCIÓN DE LA TABLA 22                                  *
*==============================================================================*.

USE ALL.
COMPUTE filter_$=(cp_nclavr = 453).
VARIABLE LABELS filter_$ 'cp_nclavr = 453 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMATS filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

WEIGHT BY fact_exp_fin.

* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion DISPLAY=NONE  /VLABELS 
   VARIABLES=cp_k409ha cp_k411ha cp_prod ventas DISPLAY=LABEL
  /TABLE cp_tn [C] + cp_trs [C] + cp_trc [C] + cp_tro [C] + cp_tznd + ual_prov [C] > nuevacondicion [C] BY cp_k409ha [S] [SUM] + cp_k411ha [S] [SUM] + cp_prod [S] [SUM] 
 + ventas [S] [SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion ORDER=A KEY=VALUE 
    EMPTY=INCLUDE
  /TITLES
    TITLE='ENCUESTA DE SUPERFICIE Y PRODUCCION AGROPECUARIA CONTINUA  2018'
    'TABLA 22. SUPERFICIE, PRODUCCIÓN Y VENTAS, SEGÚN REGIÓN Y PROVINCIA' 'ORITO (Fruta fresca)'
    CORNER='REGIÓN Y PROVINCIA'
    CAPTION='INSTITUTO NACIONAL DE ESTADÍSTICAS Y CENSOS (INEC) ESPAC - 2018'.

WEIGHT OFF. 
FILTER OFF. 
USE ALL. 
EXECUTE.

*==============================================================================*.
*                            CONSTRUCCIÓN DE LA TABLA 23                                  *
*==============================================================================*.

USE ALL.
COMPUTE filter_$=(cp_nclavr = 456).
VARIABLE LABEL filter_$ 'nc_clavr = 456 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

WEIGHT BY fact_exp_fin.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion DISPLAY=NONE  /VLABELS 
   VARIABLES=cp_k409ha cp_k411ha cp_prod ventas DISPLAY=LABEL
  /TABLE cp_tn [C] + cp_trs [C] + cp_trc [C] + cp_tro [C] + cp_tznd + ual_prov [C] > nuevacondicion [C] BY cp_k409ha [S] [SUM] + cp_k411ha [S] [SUM] + cp_prod [S] [SUM] 
 + ventas [S] [SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion ORDER=A KEY=VALUE 
    EMPTY=INCLUDE
  /TITLES
    TITLE='ENCUESTA DE SUPERFICIE Y PRODUCCION AGROPECUARIA CONTINUA ESPAC 2018'
    'TABLA 23. SUPERFICIE, PRODUCCIÓN Y VENTAS, SEGÚN REGIÓN Y PROVINCIA' 'PALMA AFRICANA (Fruta fresca)'
    CORNER='REGIÓN Y PROVINCIA'
    CAPTION='INSTITUTO NACIONAL DE ESTADÍSTICAS Y CENSOS (INEC) ESPAC - 2018'.

WEIGHT OFF. 
FILTER OFF. 
USE ALL. 
EXECUTE.
*==============================================================================*.
*                            CONSTRUCCIÓN DE LA TABLA 24                                  *
*==============================================================================*.

USE ALL.
COMPUTE filter_$=(cp_nclavr = 457).
VARIABLE LABEL filter_$ 'nc_clavr = 457 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

WEIGHT BY fact_exp_fin.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion DISPLAY=NONE  /VLABELS 
   VARIABLES=cp_k409ha cp_k411ha cp_prod ventas DISPLAY=LABEL
  /TABLE cp_tn [C] + cp_trs [C] + cp_trc [C] + cp_tro [C] + cp_tznd + ual_prov [C] > nuevacondicion [C] BY cp_k409ha [S] [SUM] + cp_k411ha [S] [SUM] + cp_prod [S] [SUM] 
 + ventas [S] [SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion ORDER=A KEY=VALUE 
    EMPTY=INCLUDE
  /TITLES
    TITLE='ENCUESTA DE SUPERFICIE Y PRODUCCION AGROPECUARIA CONTINUA ESPAC 2018'
    'TABLA 24. SUPERFICIE, PRODUCCIÓN Y VENTAS, SEGÚN REGIÓN Y PROVINCIA' 'PALMITO (Tallo fresco)'
    CORNER='REGIÓN Y PROVINCIA'
    CAPTION='INSTITUTO NACIONAL DE ESTADÍSTICAS Y CENSOS (INEC) ESPAC - 2018'.

WEIGHT OFF. 
FILTER OFF. 
USE ALL. 
EXECUTE.

*==============================================================================*.
*                            CONSTRUCCIÓN DE LA TABLA 25                                 *
*==============================================================================*.

USE ALL.
COMPUTE filter_$=(cp_nclavr = 464).
VARIABLE LABEL filter_$ 'nc_clavr = 464 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

WEIGHT BY fact_exp_fin.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion DISPLAY=NONE  /VLABELS 
   VARIABLES=cp_k409ha cp_k411ha cp_prod ventas DISPLAY=LABEL
  /TABLE cp_tn [C] + cp_trs [C] + cp_trc [C] + cp_tro [C] + cp_tznd + ual_prov [C] > nuevacondicion [C] BY cp_k409ha [S] [SUM] + cp_k411ha [S] [SUM] + cp_prod [S] [SUM] 
 + ventas [S] [SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion ORDER=A KEY=VALUE 
    EMPTY=INCLUDE
  /TITLES
    TITLE='ENCUESTA DE SUPERFICIE Y PRODUCCION AGROPECUARIA CONTINUA ESPAC 2018'
    'TABLA 25. SUPERFICIE, PRODUCCIÓN Y VENTAS, SEGÚN REGIÓN Y PROVINCIA' 'PIÑA (Fruta fresca)'
    CORNER='REGIÓN Y PROVINCIA'
    CAPTION='INSTITUTO NACIONAL DE ESTADÍSTICAS Y CENSOS (INEC) ESPAC - 2018'.

WEIGHT OFF. 
FILTER OFF. 
USE ALL. 
EXECUTE.

*==============================================================================*.
*                            CONSTRUCCIÓN DE LA TABLA 26                                  *
*==============================================================================*.

USE ALL.
COMPUTE filter_$=(cp_nclavr = 466).
VARIABLE LABEL filter_$ 'nc_clavr = 466 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

WEIGHT BY fact_exp_fin.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion DISPLAY=NONE  /VLABELS 
   VARIABLES=cp_k409ha cp_k411ha cp_prod ventas DISPLAY=LABEL
  /TABLE cp_tn [C] + cp_trs [C] + cp_trc [C] + cp_tro [C] + cp_tznd + ual_prov [C] > nuevacondicion [C] BY cp_k409ha [S] [SUM] + cp_k411ha [S] [SUM] + cp_prod [S] [SUM] 
 + ventas [S] [SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion ORDER=A KEY=VALUE 
    EMPTY=INCLUDE
  /TITLES
    TITLE='ENCUESTA DE SUPERFICIE Y PRODUCCION AGROPECUARIA CONTINUA ESPAC 2018'
    'TABLA 26. SUPERFICIE, PRODUCCIÓN Y VENTAS, SEGÚN REGIÓN Y PROVINCIA' 'PLATANO (Fruta fresca)'
    CORNER='REGIÓN Y PROVINCIA'
    CAPTION='INSTITUTO NACIONAL DE ESTADÍSTICAS Y CENSOS (INEC) ESPAC - 2018'.

WEIGHT OFF. 
FILTER OFF. 
USE ALL. 
EXECUTE.

*==============================================================================*.
*                            CONSTRUCCIÓN DE LA TABLA 27                                 *
*==============================================================================*.

USE ALL.
COMPUTE filter_$=(cp_nclavr = 472).
VARIABLE LABEL filter_$ 'nc_clavr = 472 (FILTER)'.
VALUE LABELS filter_$ 0 'Not Selected' 1 'Selected'.
FORMAT filter_$ (f1.0).
FILTER BY filter_$.
EXECUTE.

WEIGHT BY fact_exp_fin.
* Tablas personalizadas.
CTABLES
  /VLABELS VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion DISPLAY=NONE  /VLABELS 
   VARIABLES=cp_k409ha cp_k411ha cp_prod ventas DISPLAY=LABEL
  /TABLE cp_tn [C] + cp_trs [C] + cp_trc [C] + cp_tro [C] + cp_tznd + ual_prov [C] > nuevacondicion [C] BY cp_k409ha [S] [SUM] + cp_k411ha [S] [SUM] + cp_prod [S] [SUM] 
 + ventas [S] [SUM]
  /SLABELS VISIBLE=NO
  /CATEGORIES VARIABLES=cp_tn cp_trs cp_trc cp_tro cp_tznd ual_prov nuevacondicion ORDER=A KEY=VALUE 
    EMPTY=INCLUDE
  /TITLES
    TITLE='ENCUESTA DE SUPERFICIE Y PRODUCCION AGROPECUARIA CONTINUA ESPAC 2018'
    'TABLA 27. SUPERFICIE, PRODUCCIÓN Y VENTAS, SEGÚN REGIÓN Y PROVINCIA' 'TOMATE DE ARBOL (Fruta fresca)'
    CORNER='REGIÓN Y PROVINCIA'
    CAPTION='INSTITUTO NACIONAL DE ESTADÍSTICAS Y CENSOS (INEC) ESPAC - 2018'.

WEIGHT OFF. 
FILTER OFF. 
USE ALL. 
EXECUTE.




